Name:           nodejs
Version:        0.6.7
Release:        1%{_dist_release}
Summary:        JavaScript server-side network application development
Group:          Development/Other
License:        MIT
URL:            http://nodejs.org/
Source:         http://nodejs.org/dist/node-v%{version}.tar.gz 
#BuildRequires:  libstdc++-devel python openssl-devel
BuildRequires:  python openssl-devel
BuildRequires:  zlib-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Evented I/O for Google V8 JavaScript

Node.js use V8 engine (JavaScript engine used for Webkit) and let you create
application on server-side. It handles HTTP server, Socket server, clients
and a lot of modules to ease your projects creation.

Node.js's goal is to provide an easy way to build scalable network programs. 

%prep
%setup -q -n node-v%{version}

%build
./configure --debug --prefix=%{_prefix}
%{__make} clean
%{__make} %{?mflags}

%install
#%makeinstall_std
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc doc README.md LICENSE AUTHORS
%attr(755,root,root) %{_bindir}/node
%attr(755,root,root) %{_bindir}/npm
#%attr(755,root,root) %{_bindir}/node_g
%attr(755,root,root) %{_bindir}/node-waf
%{_mandir}/man1/node.1*
%{_includedir}/node*
#%{_prefix}/lib/pkgconfig/nodejs.pc
%{_prefix}/lib/node*

%changelog
* Tue Jan 10 2012 Nobuo Okazaki 0.6.7-1vl5
- Modified for Vine Linux 5.2
- RPM_BUILD_ROOT

* Fri Dec 02 2011 Alexander Khrukin <akhrukin@mandriva.org> 0.6.4-1
+ Revision: 737171
- BuildReq section fix

* Fri Dec 02 2011 Alexander Khrukin <akhrukin@mandriva.org> 0.6.4-1
+ Revision: 737165
- sversion update 0.6.4

* Fri Nov 25 2011 Alexander Khrukin <akhrukin@mandriva.org> 0.6.3-1
+ Revision: 733339
- version update to 0.6.3

  + Adam Williamson <awilliamson@mandriva.org>
    - revert last change, looks like we're not using mkrel any more...
    - fix release

* Wed Aug 24 2011 Adam Williamson <awilliamson@mandriva.org> 0.4.11-1
+ Revision: 696539
- new release 0.4.11

* Wed May 18 2011 Eugeni Dodonov <eugeni@mandriva.com> 0.4.7-1
+ Revision: 676071
- Fix group
- Imported node.js
- Created package structure for nodejs.

